/***************************************************************************** 
* 
* File Name : main.c
* 
* Description: main 
* 
* Copyright (c) 2014 Winner Micro Electronic Design Co., Ltd. 
* All rights reserved. 
* 
* Author : dave
* 
* Date : 2014-6-14
*****************************************************************************/ 
#include "wm_include.h"
#include "psram.h"

void UserMain(void)
{
	printf("\n user task \n");
    user_psram_init();
    char *psram_buf = dram_heap_malloc(100);
    uint8_t temp[100];
    uint8_t i = 0;
    
    while(1) {
        memset(psram_buf, 0, 100);
        printf("\r\n Clear buf: ");
        for(i = 0; i < 100; i++) printf("%x ", psram_buf[i]);
        for(i = 0; i < 100; i++) temp[i] = i % 256;
        printf("\r\n Read buf: ");
        memcpy(psram_buf, temp, 100);
        for(i = 0; i < 100; i++) printf("%x ", psram_buf[i]);
        
        tls_os_time_delay(1000);
    }
    dram_heap_free(psram_buf);

#if DEMO_CONSOLE
	CreateDemoTask();
#endif
//用户自己的task
}

